## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
# * files required by tests are not included in published crates
%bcond_with check
%global debug_package %{nil}

%global crate skeptic

Name:           rust-skeptic
Version:        0.13.7
Release:        %autorelease
Summary:        Test your Rust markdown documentation via Cargo

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/skeptic
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * bump cargo_metadata dependency from ^0.14 to ^0.15
Patch:          skeptic-fix-metadata.diff
Patch:          0001-port-to-cargo_metadata-0.15.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Test your Rust markdown documentation via Cargo.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sat May 20 2023 Fabio Valentini <decathorpe@gmail.com> - 0.13.7-1
- Update to version 0.13.7; Fixes RHBZ#2049074

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sun Mar 28 2021 Fabio Valentini <decathorpe@gmail.com> - 0.13.6-1
- Update to version 0.13.6.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Dec 25 12:18:32 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.5-1
- Update to 0.13.5

* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.4-10
- Second attempt - Rebuilt for
  https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Sat Feb 22 19:15:34 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.13.4-8
- Update pulldown-cmark to 0.7

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Dec 15 15:00:04 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.13.4-6
- Bump cargo_metadata to 0.9

* Fri Sep 13 17:49:45 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.13.4-5
- Bump bytecount to 0.6
- Bump pulldown-cmark to 0.6

* Thu Aug 01 00:51:23 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.13.4-4
- Update 0001-Bump-cargo_metadata-to-0.8 patch

* Wed Jul 31 19:54:43 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.13.4-3
- Bump glob to 0.3 and cargo_metadata to 0.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Wed Mar 13 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 0.13.4-1
- Initial package

